<app-main-drawer [title]="'Liste de vos lignes. (' + tripList.length + ')'">
    <div id="main-content">
        <div class="d-flex action-btn" style="justify-content: end;width: 70vw;">
            <a class="noShadow" [routerLink]="'new'" mat-mini-fab color="primary"
                matTooltip="Ajouter une nouvelle ligne">
                <mat-icon>add_location_alt</mat-icon>
            </a>

        </div>
        <div class="list-bloc">
            <ul *ngIf="tripList?.length">
                <ng-container *ngFor="let item of tripList">
                    <a [routerLink]="'/' + RouteList.CONNECTION + '/'+ item.Connection.ID "
                        [queryParams]="{'tripId' : item.ID}">
                        <li>
                            <div>
                                <mat-icon fontSet="material-symbols-rounded">mode_of_travel</mat-icon>
                                <span>
                                    {{ item.DepartureArret?.City?.CityValue.Label + " - " +
                                    item.TerminusArret?.City?.CityValue.Label }}
                                    <br>
                                    <!--  <ng-container *ngFor="let item of listArret">
    
                                    </ng-container> -->
                                </span>
                            </div>

                            <div class="vertical-separator"></div>

                            <div>
                                <mat-icon fontSet="material-symbols-rounded">directions_bus</mat-icon>
                                <span> {{ item.Auto.Ref }} </span>
                            </div>

                            <div class="vertical-separator"></div>

                            <div>
                                <mat-icon fontSet="material-symbols-rounded">payments</mat-icon>
                                <span> {{ getFullPriceTrip(item.ID, item.DepartureArret.ID, item.TerminusArret.ID) + '
                                    Francs CFA' }} </span>
                            </div>

                            <div class="vertical-separator"></div>

                            <div>
                                <mat-icon fontSet="material-symbols-rounded">calendar_month</mat-icon>
                                <span> {{ item.Frequence.Name }}
                                    ( {{ item.Frequence.StartDate | date:'dd/MM/yyyy' }} - {{ item.Frequence.EndDate |
                                    date:'dd/MM/yyyy' }} )
                                </span>
                            </div>

                            <div class="vertical-separator"></div>

                            <div>
                                <mat-icon fontSet="material-symbols-rounded">schedule</mat-icon>
                                <span>
                                    {{ item.DepartureArret?.DepartureTime | date:'H:mm' }} -
                                    {{ item.TerminusArret?.ArrivalTime | date:'H:mm' }}
                                </span>
                            </div>

                            <div class="vertical-separator"></div>

                            <div>
                                <mat-icon fontSet="material-symbols-rounded">person</mat-icon>
                                <span> {{ item?.Connection?.Agent?.FirstName }} </span>
                            </div>

                        </li>
                    </a>

                </ng-container>

            </ul>
        </div>


        <div class="loading-bloc" *ngIf="loading">
            <img src="../../../assets/loading.gif" alt="loader" height="130px" width="120px" />
        </div>
    </div>
</app-main-drawer>